Bug 248088 - Bug in hostname caching in MySQL 5.0.18-4.el4s1.1
Bug in hostname caching in MySQL 5.0.18-4.el4s1.1
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: mysql (Show other bugs)
4.5
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Tom Lane
http://bugs.mysql.com/bug.php?id=13659
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-13 01:53 EDT by Anchor Systems Managed Hosting
Modified: 2013-07-02 23:14 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-28 17:58:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Anchor Systems Managed Hosting 2007-07-13 01:53:08 EDT
MySQL server from the Red Hat Web Application Stack Beta 1.0 Channel.

Seems to be similar to https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=172775

Listing the process list in mysql on a master server shows the replication
slaves host names incorrectly.
 
Example output:
+----+-----------+----------------------------+------+-------------+------+----------------------------------------------------------------+------------------+
| Id | User      | Host                       | db   | Command     | Time |
State                                                          | Info             |
+----+-----------+----------------------------+------+-------------+------+----------------------------------------------------------------+------------------+
|  2 | ttt_slave | tttdb2.anchor.net.au:33132 | NULL | Binlog Dump |  119 | Has
sent all binlog to slave; waiting for binlog to be updated | NULL             |
|  4 | root      | localhost                  | NULL | Query       |    0 | NULL
                                                          | show processlist |
|  5 | ttt_slave | tttdb2.anchor.net.au:33073 | NULL | Binlog Dump |    6 | Has
sent all binlog to slave; waiting for binlog to be updated | NULL             |
+----+-----------+----------------------------+------+-------------+------+----------------------------------------------------------------+------------------+
 
When using the option skip-host-cache in /etc/my.cnf the output shows correctly.
 
 
Example output:
+----+-----------+----------------------------+------+-------------+------+----------------------------------------------------------------+------------------+
| Id | User      | Host                       | db   | Command     | Time |
State                                                          | Info             |
+----+-----------+----------------------------+------+-------------+------+----------------------------------------------------------------+------------------+
|  2 | ttt_slave | tttdb2.anchor.net.au:33132 | NULL | Binlog Dump | 1049 | Has
sent all binlog to slave; waiting for binlog to be updated | NULL             |
|  4 | root      | localhost                  | NULL | Query       |    0 | NULL
                                                          | show processlist |
|  5 | ttt_slave | tttdb3.anchor.net.au:33073 | NULL | Binlog Dump |  936 | Has
sent all binlog to slave; waiting for binlog to be updated | NULL             |
+----+-----------+----------------------------+------+-------------+------+----------------------------------------------------------------+------------------+
 
Further research has shown mysql have an open bug about this, although it's for
an earlier version - http://bugs.mysql.com/bug.php?id=13659
 
nslookup output
 
217.235.4.202.in-addr.arpa      name = tttdb1.anchor.net.au.
218.235.4.202.in-addr.arpa      name = tttdb2.anchor.net.au.
219.235.4.202.in-addr.arpa      name = tttdb3.anchor.net.au.
 
Name:   tttdb1.anchor.net.au
Address: 202.4.235.217
Name:   tttdb2.anchor.net.au
Address: 202.4.235.218
Name:   tttdb3.anchor.net.au
Address: 202.4.235.219
 
netstat --inet on master
 
tcp        0      0 tttdb1.anchor.net.au:mysql  tttdb2.anchor.net.au:33132 
ESTABLISHED
tcp        0      0 tttdb1.anchor.net.au:mysql  tttdb3.anchor.net.au:33073 
ESTABLISHED
Comment 1 Tom Lane 2007-07-13 11:04:09 EDT
The currently shipping Application Stack release of mysql is 5.0.30.  Please update and see whether the 
problem still exists.

Also, I don't actually see the difference between your "incorrect" and "correct" outputs?
Comment 2 Anchor Systems Managed Hosting 2007-07-15 21:41:14 EDT
The Red Hat Web Application Stack 1.0 Beta (for AS v. 4 AMD64/EM64T) channel
(https://rhn.redhat.com/network/software/channels/packages.pxt?cid=5270) shows
that mysql-server-5.0.18-4.el4s1.1.x86_64 is the latest available package for
this channel.

The incorrect output shows two slave servers connected, but MySQL shows the same
hostname for both due to the bug. When host name caching is turned off, you can
see the correct hostnames for the two slaves that are connected.
Comment 3 Tom Lane 2007-07-15 22:51:32 EDT
I do not know why you are subscribed to a beta channel for a product that was released many months ago, 
but I cannot provide support for an ancient beta version.  Please update to the current release and let me 
know whether it still shows the bug.
Comment 4 Tom Lane 2008-04-28 17:58:06 EDT
Closing for lack of response.

Note You need to log in before you can comment on or make changes to this bug.